# $Revision: 1.21 $, $Date: 2008/11/24 12:03:37 $
Summary:	ODE is a library for simulating articulated rigid body dynamics
Summary(pl.UTF-8):	ODE jest biblioteką służącą do symulacji dynamiki bryły sztywnej
Name:		ode
Version:	0.10.1
Release:	1
Epoch:		1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://dl.sourceforge.net/opende/%{name}-%{version}.tar.bz2
# Source0-md5:	91c396b915539a760617437d56eb1681
URL:		http://ode.org/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
The Open Dynamics Engine (ODE) is a free software library for the
simulation of Rigid Body Dynamics. ODE is useful for simulating things
like vehicles, objects in virtual reality environments, and virtual
creatures.

%description -l pl.UTF-8
Open Dynamics Engine (ODE) jest wolną biblioteką służącą do
symulacji dynamiki bryły sztywnej. ODE jest użyteczne przy symulacji
pojazdów, obiektów w przestrzeni wirtualnej i wirtualnych stworzeń.

%package devel
Summary:	Header files for ODE libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek ODE
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for ODE libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek ODE.

%package static
Summary:	Static ODE libraries
Summary(pl.UTF-8):	Statyczne biblioteki ODE
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static ODE libraries.

%description static -l pl.UTF-8
Statyczne biblioteki ODE.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-shared
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG.txt README.txt
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc ode/{README,TODO} ode/doc/{main.dox,pix}
%attr(755,root,root) %{_bindir}/ode-config
%attr(755,root,root) %{_libdir}/libode.so
%{_libdir}/libode.la
%{_includedir}/ode

%files static
%defattr(644,root,root,755)
%{_libdir}/libode.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ode.spec,v $
Revision 1.21  2008/11/24 12:03:37  lisu
- 0.10.1

Revision 1.20  2008/09/01 18:00:34  arekm
- release 2

Revision 1.19  2008/07/10 22:07:23  qboosh
- library packaging unbroken
- libtoolize (fixes build with libtool 2.2)
- BR: GLU-devel; removed unneeded deps from -devel

Revision 1.18  2008/07/05 21:16:16  lisu
- 0.10.0
- use tarball instead of zip package
- -DESTDIR.patch is obsolete
- new soname symlink (not sure about it)
- libode.la added to devel

Revision 1.17  2007/10/16 13:31:18  lisu
- up to 0.9
- BR: OpenGL-GLU
- clean up

Revision 1.16.4.2  2007/09/28 23:02:33  lisu
- 0.9-rc1

Revision 1.16.4.1  2007/09/14 20:08:49  lisu
- 0.8.1-rc1

Revision 1.16  2007/07/07 08:05:02  qboosh
- removed bogus asm patch (adding preserved ebx to clobber list makes no sense)
- added DESTDIR patch to fix soname install

Revision 1.15  2007/07/07 07:52:52  qboosh
- enable soname
- BR: ac,am; libtool not used

Revision 1.14  2007/07/07 07:43:10  qboosh
- fixed packaging

Revision 1.13  2007/06/23 18:26:14  lisu
- patch checked - it works
- change libode.so to libode.so.0

Revision 1.12  2007/06/23 16:39:40  lisu
- 0.8
- zip package
- install by make install
- cosmetics

Revision 1.11  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:14  baggins
- converted to UTF-8

Revision 1.9  2006/02/16 00:39:40  wolf
- one missed

Revision 1.8  2006/02/16 00:38:59  wolf
- xorg modular deps, rel 4

Revision 1.7  2005/10/31 23:16:23  arekm
- rel 3

Revision 1.6  2005/03/29 23:36:50  troll
- look for -lX11 in %%{_lib} not lib
- asm patch doesn't work on archs !%%{ix86}
- new URL
- rel 2

Revision 1.5  2005/03/24 23:36:23  wolf
- add ebx+pic patch

Revision 1.4  2004/09/02 14:36:06  snurf
- typos / formatting / etc.

Revision 1.3  2004/06/16 22:12:45  grzegol
- updated to 0.5
- strict internal deps

Revision 1.2  2003/08/13 08:46:59  qboosh
- build as shared library, BR: libstdc++-devel, libtool

Revision 1.1  2003/08/12 20:41:09  grzegol
- new
